Subject: bug#28943: 25.2; desktop-kill should not be in kill-emacs-hook

From: martin rudalics <[email-masked]>
Date: Tue, 31 Oct 2017 09:41:04 +0100

> In the meanwhile, `desktop-kill':
 >
 >> If the desktop should be saved and ‘desktop-dirname’
 >> is nil, ask the user where to save the desktop.
 >
 > I suggest either we move `desktop-kill' to `kill-emacs-query-functions'
 > or we define two functions, one with user interaction, the other one
 > unattended.

I think we should just move it to ‘kill-emacs-query-functions’.  A
cursory look reveals that at least ‘eshell-save-some-last-dir’,
‘eshell-save-some-history’ and ‘ps-kill-emacs-check’ seem to have the
same problem.

martin